Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.server.source
Class SourceControllerPermanent

    java.lang.Object
      org.joseki.server.source.SourceControllerPermanent

All Implemented Interfaces:
  SourceController

public class SourceControllerPermanent
extends java.lang.Object
implements SourceController

A SourceController for permanent models (i.e. sources that are loaded once and kept in memory).

Version:
  $Id: SourceControllerPermanent.java,v 1.1 2004/04/29 17:58:32 andy_seaborne Exp $
Author:
  Andy Seaborne

Constructor Summary
`SourceControllerPermanent(com.hp.hpl.jena.rdf.model.Model _model)`

Method Summary
`void` | `activate()`
`com.hp.hpl.jena.rdf.model.Model` | `buildSource()`
`ModelSource` | `createSourceModel(com.hp.hpl.jena.rdf.model.Resource description, java.lang.String _serverURI)`
`void` | `deactivate()`
`java.lang.String` | `getServerURI()`
`void` | `releaseSource()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SourceControllerPermanent

    public SourceControllerPermanent(com.hp.hpl.jena.rdf.model.Model _model)

Method Detail

### createSourceModel

    public ModelSource createSourceModel(com.hp.hpl.jena.rdf.model.Resource description,
                                         java.lang.String _serverURI)

  Specified by:
    `createSourceModel` in interface `SourceController`

### getServerURI

    public java.lang.String getServerURI()

  Specified by:
    `getServerURI` in interface `SourceController`

### activate

    public void activate()

  Specified by:
    `activate` in interface `SourceController`

### deactivate

    public void deactivate()

  Specified by:
    `deactivate` in interface `SourceController`

### buildSource

    public com.hp.hpl.jena.rdf.model.Model buildSource()

  Specified by:
    `buildSource` in interface `SourceController`

### releaseSource

    public void releaseSource()

  Specified by:
    `releaseSource` in interface `SourceController`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.